#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_start", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_done", 1, hls_out, -1, "", "", 1),
	Port_Property("ap_idle", 1, hls_out, -1, "", "", 1),
	Port_Property("ap_ready", 1, hls_out, -1, "", "", 1),
	Port_Property("address", 32, hls_in, 0, "ap_none", "in_data", 1),
	Port_Property("dirty", 1, hls_out, 1, "ap_vld", "out_data", 1),
	Port_Property("dirty_ap_vld", 1, hls_out, 1, "ap_vld", "out_vld", 1),
	Port_Property("hit", 1, hls_out, 2, "ap_vld", "out_data", 1),
	Port_Property("hit_ap_vld", 1, hls_out, 2, "ap_vld", "out_vld", 1),
	Port_Property("data", 8, hls_out, 3, "ap_vld", "out_data", 1),
	Port_Property("data_ap_vld", 1, hls_out, 3, "ap_vld", "out_vld", 1),
	Port_Property("updateSet", 8, hls_in, 4, "ap_none", "in_data", 1),
	Port_Property("updateWay", 8, hls_in, 5, "ap_none", "in_data", 1),
	Port_Property("newTag", 32, hls_in, 6, "ap_none", "in_data", 1),
	Port_Property("updateTagValid", 1, hls_in, 7, "ap_none", "in_data", 1),
	Port_Property("newData_address0", 2, hls_out, 8, "ap_memory", "mem_address", 1),
	Port_Property("newData_ce0", 1, hls_out, 8, "ap_memory", "mem_ce", 1),
	Port_Property("newData_q0", 8, hls_in, 8, "ap_memory", "mem_dout", 1),
	Port_Property("updateDataValid", 1, hls_in, 9, "ap_none", "in_data", 1),
};
const char* HLS_Design_Meta::dut_name = "cache_module";
